<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>
        <import type="android.view.View" />
        <variable
            name="viewModel"
            type="com.ttnfleetsolutions.ttnfleet.ui.trucker.servicerequest.requirements.RequirementImageItemViewModel" />

    </data>

    <android.support.constraint.ConstraintLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:onClick="@{(v) -> viewModel.onItemClick(v)}"
        android:padding="@dimen/content_padding">

        <ImageView
            android:id="@+id/image"
            android:layout_width="@dimen/requirement_image_size"
            android:layout_height="@dimen/requirement_image_size"
            android:background="@color/tr_gray"
            app:resource="@{viewModel.url}"
            android:src="@mipmap/logo"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/name"
            style="@style/TextAppearance.Text.Body2"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/content_margin"
            android:ellipsize="end"
            android:fontFamily="@font/medium"
            app:textType="@{viewModel.id}"
            android:gravity="center_horizontal"
            android:maxLines="3"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="@id/image"
            app:layout_constraintStart_toStartOf="@id/image"
            app:layout_constraintTop_toBottomOf="@+id/image" />
    </android.support.constraint.ConstraintLayout>
</layout>